Name:       pixelbook-avs
Version:    1.0.0
Release:    1%{?dist}
License:    BSD-3-Clause
Summary:    AVS Audio Configuration for 2017 Pixelbook
Source0:    avs.conf
Source1:    hda-8086280b-tplg.bin
Source2:    max98927-tplg.bin
Source3:    rt5663-tplg.bin
Source4:    avs_max98927-HiFi.conf
Source5:    avs_max98927.conf
Source6:    avs_rt5663-HiFi.conf
Source7:    avs_rt5663.conf
Source8:    hdaudioB0D2-HiFi.conf
Source9:    hdaudioB0D2.conf
BuildArch:  noarch

Requires: alsa-ucm >= 1.2.7
Requires: linux-firmware

%description
Alsa UCM profile for the Pixelbook

%prep

%build

%install
mkdir -p %{buildroot}/etc/modprobe.d
install -m 0644 %{SOURCE0} %{buildroot}/etc/modprobe.d
mkdir -p %{buildroot}/lib/firmware/intel/avs/
install -m 0644 %{SOURCE1} %{buildroot}/lib/firmware/intel/avs/
install -m 0644 %{SOURCE2} %{buildroot}/lib/firmware/intel/avs/
install -m 0644 %{SOURCE3} %{buildroot}/lib/firmware/intel/avs/
mkdir -p %{buildroot}/usr/share/alsa/ucm2/conf.d/avs_max98927/
install -m 0644 %{SOURCE4} %{buildroot}/usr/share/alsa/ucm2/conf.d/avs_max98927/HiFi.conf
install -m 0644 %{SOURCE5} %{buildroot}/usr/share/alsa/ucm2/conf.d/avs_max98927/
mkdir -p %{buildroot}/usr/share/alsa/ucm2/conf.d/avs_rt5663/
install -m 0644 %{SOURCE6} %{buildroot}/usr/share/alsa/ucm2/conf.d/avs_rt5663/HiFi.conf
install -m 0644 %{SOURCE7} %{buildroot}/usr/share/alsa/ucm2/conf.d/avs_rt5663/
mkdir -p %{buildroot}/usr/share/alsa/ucm2/conf.d/hdaudioB0D2/
install -m 0644 %{SOURCE8} %{buildroot}/usr/share/alsa/ucm2/conf.d/hdaudioB0D2/HiFi.conf
install -m 0644 %{SOURCE9} %{buildroot}/usr/share/alsa/ucm2/conf.d/hdaudioB0D2/

%check

%files
%dir /etc/modprobe.d
/etc/modprobe.d/avs.conf
/lib/firmware/intel/avs/*
%dir /usr/share/alsa/ucm2/conf.d/avs_max98927
/usr/share/alsa/ucm2/conf.d/avs_max98927/*
%dir /usr/share/alsa/ucm2/conf.d/avs_rt5663
/usr/share/alsa/ucm2/conf.d/avs_rt5663/*
%dir /usr/share/alsa/ucm2/conf.d/hdaudioB0D2
/usr/share/alsa/ucm2/conf.d/hdaudioB0D2/*

%changelog
* Sun Jun 18 2023 Jason Montleon <jmontleo@redhat.com> - 1.0.0-1
- Initial build
